summaryrefslogtreecommitdiff
path: root/tests/misc/nproc-avail
diff options
context:
space:
mode:
authorGiuseppe Scrivano <gscrivano@gnu.org>2009-10-31 18:59:50 +0100
committerPádraig Brady <P@draigBrady.com>2009-11-06 16:54:12 +0000
commit74cf4cb26dcecd36eb45dc00dbd4587d9dc24a2f (patch)
tree226d1f3f872b413e09000e67bd8f20c5ffab6136 /tests/misc/nproc-avail
parent41456fac8ae69789b04196cb09788e1711b31cb3 (diff)
downloadcoreutils-74cf4cb26dcecd36eb45dc00dbd4587d9dc24a2f.tar.xz
nproc: A new program to count the available processors
* AUTHORS: Add my name. * NEWS: Mention it. * README: Likewise. * bootstrap.conf (gnulib_modules): Add nproc. * doc/coreutils.texi (nproc invocation): Add nproc info. * man/Makefile.am (nproc.1): Add dependency. * man/nproc.x: New template. * man/.gitignore: Ignore generated man page. * po/POTFILES.in: Add src/nproc.c. * src/.gitignore: Exclude nproc. * src/Makefile.am (EXTRA_PROGRAMS): Add nproc. * src/nproc.c: New file. * tests/Makefile.am (TESTS): Add misc/nproc-{avail,positive}. * tests/misc/nproc-avail: New file. * tests/misc/nproc-positive: New file.
Diffstat (limited to 'tests/misc/nproc-avail')
-rwxr-xr-xtests/misc/nproc-avail31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/misc/nproc-avail b/tests/misc/nproc-avail
new file mode 100755
index 000000000..dcbad25a4
--- /dev/null
+++ b/tests/misc/nproc-avail
@@ -0,0 +1,31 @@
+#!/bin/sh
+# Ensure that "nproc" is less than or equal to "nproc --all".
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ nproc --version
+fi
+
+. $srcdir/test-lib.sh
+
+all=$(nproc --all)
+available=$(OMP_NUM_THREADS= nproc)
+
+test $available -le $all || fail=1
+
+Exit $fail